Page MenuHomePhabricator

Method to exclude bot edits from AbuseFilter batch testing by default
Closed, ResolvedPublic

Description

In Mediawiki's extension:AbuseFilter, the page "Special:AbuseFilter/test" allows for the testing of recent edits against a filter. On numbers of wikis, the bots operating at high rates mean that significant of the edits being tested can be bot edits, which is for the vast bulk of edits can be less than useful, and limiting when wanting to test against new users, or IP addresses.

It would be useful to have an option to exclude bot edits by the user field, and to set that as a default option

Event Timeline

Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptMay 7 2018, 1:18 AM
Billinghurst updated the task description. (Show Details)May 7 2018, 1:19 AM
Huji added subscribers: Daimona, Huji.May 7 2018, 1:45 AM

Currently, /test only allows searching within those actions (edits, moves, etc.) that are in the recentchanges table; good news is that table as a column called rc_bot which should be easy to filter.

Adding @Daimona who I think will be able to make a patch quickly.

Change 431591 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add an option to hide bots in /test

https://gerrit.wikimedia.org/r/431591

Daimona claimed this task.May 7 2018, 3:28 PM

Yeah, it's pretty straigthforward with a dedicated column.

Change 431591 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add an option to hide bots in /test

https://gerrit.wikimedia.org/r/431591

Huji closed this task as Resolved.May 8 2018, 12:51 AM
Huji removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Method to exclude bot edits from AbuseFilter batch testing by default to lidaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Daimona as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Huji, Aklapper.
Daimona renamed this task from lidaaaaaaa to Method to exclude bot edits from AbuseFilter batch testing by default.Jul 1 2018, 12:48 PM
Daimona closed this task as Resolved.
Daimona claimed this task.
Daimona raised the priority of this task from High to Needs Triage.
Daimona updated the task description. (Show Details)
Daimona added subscribers: Aklapper, Huji, gerritbot.